Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

API de tarjeta digital

Suspend

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend

This request is used by the issuer backend to request the suspension of the digital card if the digital card is active. The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully suspended on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Cuerpo

The following object represent the account

reasonstringOpcional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOpcional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Valores posibles:
Respuestas
200

Successful card suspension request

application/json

Operation information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enumRequerido

Status of the operation

Valores posibles:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:suspend

Resume

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume

This request is used by the issuer backend to request - the activation of the digital card if it has never been activated - the resumption of the digital card if the digital card is suspended The result of this operation is synchronous from a TSP point of view (a successful response means that the digital card has been successfully resumed on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Cuerpo

The following object represent the request body of the resume operation

reasonstringOpcional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOpcional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Valores posibles:
Respuestas
200

Successful card resumption

application/json

Operation information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enumRequerido

Status of the operation

Valores posibles:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:resume

Delete

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete

This request is used by the issuer backend to request the deletion of the digital card. The result of this operation is synchronous from a TSP point of view (a successful response means that digital card has been successfully deleted on the TSP itself) but does not guarantee that any update has occurred yet on the device, an optional notification will be sent on successful/unsuccessful completion of the operation on the wallet.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Cuerpo

The following object represent the account

reasonstringOpcional

The reason why the action is performed.

Pattern: ^[a-zA-Z0-9 ]{1,64}$
reasonCodestring · enumOpcional

The reason code why the action is performed.
If not provided , default reason code is ISSUER_DECISION

Valores posibles:
Respuestas
200

Successful card deletion request

application/json

Operation information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enumRequerido

Status of the operation

Valores posibles:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:delete

Search

post
/issuers/{issuerId}/digitalCards:search

This request is used by the issuer backend to search for digital cards in D1 using a digital PAN as lookup and retrieve card & end user related details. For example this can be used to retrieve detailed information about the digital card.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Cuerpo
encryptedDatastring · máx: 8192Requerido

Ciphered digital PAN, this DPAN is encrypted using the JWE encryption (please refer to the Encrypt sensitive data for more details)

Content

Once deciphered, the plaintext contains:

JSON field parameter nametypedescriptionMOCLength
panStringThe digital pan value.MUp to 19
Pattern: ^(?:[A-Za-z0-9+\/]{4})*(?:[A-Za-z0-9+\/]{2}==|[A-Za-z0-9+\/]{3}=)?$
searchTypestring · enumOpcional

The search type

Valores posibles:
Respuestas
200

Search Result

application/json
post
/issuers/{issuerId}/digitalCards:search

Get details

get
/issuers/{issuerId}/digitalCards/{digitalCardId}

This request provides detailed information about the digital card given its card identifier.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Respuestas
200

OK

application/json

Provides information about the token. Note that this data is available only if the tokenization is successful or pending.

parentCardIdstring · mín: 1 · máx: 48Opcional

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
digitalCardIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the token specified by the TSP

panSuffixstring · mín: 4 · máx: 4Requerido

Last four digits of the token

statestring · enumRequerido

the state of the digital card (token)

Example: ACTIVEValores posibles:
typestring · máx: 16Opcional

The type of the token. Following values are supported:

  • SE
  • HCE
  • COF
  • ECOM
  • QRC
deviceBindingListstring[]Opcional

List of all devices bound to this token. A device is represented by its binding reference.

provisioningTimestring · máx: 32Opcional

The provisioning time of the token. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastReplenishTimestring · máx: 32Opcional

The last time the token keys have been replenished. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

lastStateChangeTimestring · máx: 32Opcional

The last time the token status has been changed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

get
/issuers/{issuerId}/digitalCards/{digitalCardId}

Get credentials

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials

This request is used by D1 to provide details about the token credentials of a digital card (that is, PAN, expiry date) given the card identifier.

Note

The issuer system must be configured with the correct applicative encryption key in order to use this API.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Respuestas
200

OK

application/json
credentialsstring · mín: 1 · máx: 8196Opcional

The field is the json (cf http://www.json.org/ ) representation of the DIGITAL card. JWE encryption is used to secure the field (please refer to the Encrypt sensitive data for more details) Details:

{

"pan":"...",

"exp":"..."

}

The PAN is Mandatory, up to 19 digits.

The expiry date in the format MMYY. It is not provided for UPI scheme.

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/credentials

Get operation

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}

Retrieves the information related to an operation for a digital card.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

operationIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Respuestas
200

OK

application/json

Operation details related to a specific operationId

operationIdstring · mín: 1 · máx: 64Requerido

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationstring · enumRequerido

The operation type.

Valores posibles:
statusstring · enumRequerido

Status of the operation

Valores posibles:
startTimestring · mín: 1 · máx: 64Requerido

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

endTimestring · mín: 1 · máx: 64Opcional

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

requestorIdstringRequerido

Identifier of the principal who initiates the operation - consumerId if USER - issuerId if ISSUER - cci user id if CCI

requestorTypestring · enumRequeridoValores posibles:
reasonstringOpcional
reasonCodestring · enumOpcionalValores posibles:
errorstringOpcional

Human readable string representing the error, only present in case of operation failure

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations/{operationId}

Get all operations

get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations

Retrieves all the operations related to a digital card. The API specifies the starting point (offset) and the number of operations (limit) to be retrieved. Offset 0 (the default) corresponds to the most recent operation. For example a limit of 5 and an offset of 2 would return the five most recent operations before the most recent two”. If no operations are available for the given digitalCardId, an empty list is returned.

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de consulta
offsetinteger · máx: 100Opcional

Index from which the query starts returning operations (default value: 0)

limitinteger · mín: 1 · máx: 50Opcional

Upper limit of the query

Default: 10
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
Respuestas
200

OK

application/json
remainingOperationsintegerOpcional
get
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations

StepUp Auth Result

post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult

This request is used by the Issuer backend to approve a stepup authentication request (Device Binding/Cardholder Verification).

Autorizaciones
AuthorizationstringRequerido

A JWT using the Bearer schema.\nThe server checks the validity of the provided token to control access to this protected resource.

Parámetros de ruta
issuerIdstring · mín: 10 · máx: 10Requerido

The id of the issuer

digitalCardIdstring · mín: 1 · máx: 64Requerido

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
Parámetros de encabezado
x-correlation-idstringOpcional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Cuerpo

Step-Up Authentication Result request

authenticationIdinteger · máx: 999999999999999Requerido

this will be the "lifeCycleTraceId" for Visa or the "authenticationCorrelationId" for Mastercard

Respuestas
200

Successful Step-up authentication

application/json

Operation result information.

operationIdstring · mín: 1 · máx: 64Opcional

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
statusstring · enumOpcional

Status of the operation

Valores posibles:
post
/issuers/{issuerId}/digitalCards/{digitalCardId}/operations:stepupAuthenticationResult

Última actualización

¿Te fue útil?